TSREPORT(1)

NAME
tsreport - report on a Transport Stream

SYNOPSIS
tsreport [switches] <infile> [switches]

DESCRIPTION

    TS tools version 1.11, tsreport built Nov 11 2008 17:15:48

    Report on one of the following for the given Transport Stream:

    * The number of TS packets. * PCR and PTS/DTS differences (-buffering). * The packets of a single PID (-justpid).

    When conflicting switches are specified, the last takes effect.

  Input:

<infile>
    Read data from the named H.222 Transport Stream file

-stdin
    Read data from standard input

  Normal operation:

    By default, normal operation just reports the number of TS packets.

-timing, -t       Report timing information based on the PCRs

-data             Show TS packet/payload data as bytes

-verbose, -v      Also output (fairly detailed) information on each TS packet

-quiet, -q        Only output summary information (this is the default)

-max <n>, -m <n>  Maximum number of TS packets to read

  Buffering information:

-buffering, -b
    Report on the differences between PCR and PTS, and between PCR and DTS. This is relevant to the size of buffers needed in the decoder.

-o <file>
    Output CSV data for -buffering to the named file.

-32 Truncate 33 bit values in the CSV output to 32 bits (losing the top bit).

-verbose, -v
    Output PCR/PTS/DTS information as it is found (in a format similar to that used for -o)

-quiet, -q
    Output less information (notably, not the PMT)

-cnt <pid>,
    Check values of continuity_counter in the specified PID. Writes all the values of the counter to a file called 'continuity_counter.txt'. Turns buffering on (-b).

-max <n>, -m <n>
    Maximum number of TS packets to read

  Single PID:

-justpid <pid>
    Just show data (file offset, index, adaptation field and payload) for TS packets with the given PID. PID 0 is allowed (i.e., the PAT).

-verbose, -v
    Is ignored

-quiet, -q
    Is ignored

-max <n>, -m <n>
    Maximum number of TS packets of that PID to read

Experimental control of timestamp formats (this doesn't affect the output to the CVS file, produced with -o):

-tfmt <thing>
    Specify format of time differences.

-tafmt <thing>
    Specify format of absolute times.

    <thing> is (currently, but may change) one of:

90  Default -- show as 90KHz timestamps (suffix 't' on the values: e.g., 4362599t).

27  Show as 27MHz timestamps (similar, e.g., 25151:000t).

32  Show as 90KHz timestamps, but only the low 32 bits.

ms  Show as milliseconds.

hms Show as hours/minutes/seconds (H:MM:SS.ssss, the H can be more than one digit if necessary)

    TS tools version 1.11, tsreport built Nov 11 2008 17:15:48

    Report on one of the following for the given Transport Stream:

    * The number of TS packets. * PCR and PTS/DTS differences (-buffering). * The packets of a single PID (-justpid).

    When conflicting switches are specified, the last takes effect.

  Input:

<infile>
    Read data from the named H.222 Transport Stream file

-stdin
    Read data from standard input

  Normal operation:

    By default, normal operation just reports the number of TS packets. -timing, -t Report timing information based on the PCRs. -data Show TS packet/payload data as bytes -verbose, -v Also output (fairly detailed) information on each TS packet. -quiet, -q Only output summary information (this is the default) -max <n>, -m <n> Maximum number of TS packets to read

  Buffering information:

-buffering, -b
    Report on the differences between PCR and PTS, and between PCR and DTS. This is relevant to the size of buffers needed in the decoder.

-o <file>
    Output CSV data for -buffering to the named file.

-32 Truncate 33 bit values in the CSV output to 32 bits (losing the top bit).

-verbose, -v
    Output PCR/PTS/DTS information as it is found (in a format similar to that used for -o)

-quiet, -q
    Output less information (notably, not the PMT)

-cnt <pid>,
    Check values of continuity_counter in the specified PID. Writes all the values of the counter to a file called 'continuity_counter.txt'. Turns buffering on (-b).

-max <n>, -m <n>
    Maximum number of TS packets to read

  Single PID:

-justpid <pid>
    Just show data (file offset, index, adaptation field and payload) for TS packets with the given PID. PID 0 is allowed (i.e., the PAT).

-verbose, -v
    Is ignored

-quiet, -q
    Is ignored

-max <n>, -m <n>
    Maximum number of TS packets of that PID to read

Experimental control of timestamp formats (this doesn't affect the output to the CVS file, produced with -o):

-tfmt <thing>
    Specify format of time differences.

-tafmt <thing>
    Specify format of absolute times.

    <thing> is (currently, but may change) one of:

90  Default -- show as 90KHz timestamps (suffix 't' on the values: e.g., 4362599t).

27  Show as 27MHz timestamps (similar, e.g., 25151:000t).

32  Show as 90KHz timestamps, but only the low 32 bits.

ms  Show as milliseconds.

hms Show as hours/minutes/seconds (H:MM:SS.ssss, the H can be more than one digit if necessary)

SEE ALSO
The full documentation for tsreport is maintained as a Texinfo manual. Please check http://tstools.berlios.de for more information.